Get Engagements
/unified/crm/engagements/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
The engagement's type - call, email, meeting or raw response
callemailmeetingnotetask
18 supported8 required3 notes
callemailmeetingcallmeetingnoteemailemailmeetingThe engagement's type
callmeetingcallemailcallemailmeetingThe engagement's type
callmeetingtaskcallemailmeetingcallemailmeetingThe engagement's type. Required unless contact_id is also present. If specifying contact_id, this shouldn't be specified.
created_atupdated_at
1 supported
Set this value only when engagement type is email.
15 supported
Set this value only when engagement type is email.
15 supported
Set this value only when engagement type is email.
4 supported
The date and time of the engagement's creation
14 supported
The date and time of the engagement's last update
12 supported
The engagement's status
7 supported
The engagement's account
13 supported
The account's unique identifier
The engagement's contacts
18 supported
The contact's unique identifier
The contact's unique identifier. Required when engagement_type is email.
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The engagement's unique identifier
18 supported
The engagement's account
13 supported
The account's unique identifier
The engagement's contacts
18 supported
The contact's unique identifier
The engagement's content
15 supported
The date and time of the engagement's creation
14 supported
All the custom fields present on the engagement
1 supported
The engagement's direction
4 supported
The engagement's duration
7 supported
The engagement's end time
9 supported
The engagement's type - call, email, meeting or raw response
18 supported
The engagement's internal notes
1 supported
The engagement's lead
7 supported
The lead's unique identifier
The engagement's notes
2 supported
The note's unique identifier
The engagement's opportunity
10 supported
The opportunity's unique identifier
The engagement's owner
15 supported
The owner's unique identifier
3 supported
The extension of the phone number
The unique identifier of the phone number
The phone number
The phone number type
The engagement's project
2 supported
The project's unique identifier
Raw data returned from the remote API call.
The engagement's start time
12 supported
The engagement's status
7 supported
The engagement's subject
15 supported
The date and time of the engagement's last update
12 supported
curl -X GET 'https://api.truto.one/unified/crm/engagements/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/crm/engagements/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/engagements/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'crm',
'engagements',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"crm",
"engagements",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())